package ch.zhaw.catan;

import java.awt.*;

/// TODO: 09/12/2021 Java Doc

/**
 * sub Class of Structure
 * Can be saved in Siedler Board on Edges.
 */
public class Road extends Structure {

    //the coordinates of the start and the end Point of the road.
    private final Point start, end;

    /**
     * Constructor of Road
     * @param faction The faction of the owner
     * @param start the coordinates of the start Point
     * @param end the coordinates of the End Point
     */
    public Road(Config.Faction faction, Point start, Point end) {
        super(faction);
        this.start = start;
        this.end = end;
    }

    /**
     *
     * @return the coordinates of the start Point
     */
    public Point getStart() {
        return start;
    }

    /**
     *
     * @return the coordinates of the end Point
     */
    public Point getEnd() {
        return end;
    }
}
